// Copyright 2012-2014, Philip Quinn. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
//  TSAppDelegate.m
//  TouchScrollSimulator
//

#import "TSAppDelegate.h"

@interface TSAppDelegate ()
@end

@implementation TSAppDelegate
@synthesize storyboard = _storyboard;
@synthesize window = _window;
@synthesize viewController = _viewController;

-(BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    // The same storyboard (designed for iPhone) scales well-enough for an iPad
    self.storyboard = [UIStoryboard storyboardWithName:@"Storyboard" bundle:nil];
    self.viewController = [self.storyboard instantiateInitialViewController];
    self.window.rootViewController = self.viewController;
    [self.window makeKeyAndVisible];
    
    return YES;
}

@end
